Package com.xebialabs.xlrelease.domain.events

## Class ReleaseAbortedEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.ReleaseAbortedEvent

- All Implemented Interfaces:
    `ReleaseEvent`, `ReleaseExecutedEvent`, `ReleaseExecutionEvent`, `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class ReleaseAbortedEvent
      extends java.lang.Object
      implements ReleaseExecutedEvent, scala.Product, java.io.Serializable

  Event published when a release is aborted. param: release the release instance. param: isPartOfBulkOperation flag indicating if this release was aborted as a part of bulk abort release action.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseAbortedEvent​(Release release, boolean isPartOfBulkOperation)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `$lessinit$greater$default$2()` |
    `static ReleaseAbortedEvent` | `apply​(Release release, boolean isPartOfBulkOperation)` |
    `static boolean` | `apply$default$2()` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `ReleaseAbortedEvent` | `copy​(Release release, boolean isPartOfBulkOperation)` |
    `Release` | `copy$default$1()` |
    `boolean` | `copy$default$2()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `boolean` | `isPartOfBulkOperation()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `Release` | `release()` | The release of which status has changed.
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple2<Release,​java.lang.Object>>` | `unapply​(ReleaseAbortedEvent x$0)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### ReleaseAbortedEvent

          public ReleaseAbortedEvent​(Release release,
                                     boolean isPartOfBulkOperation)

  - ### Method Detail

    - #### $lessinit$greater$default$2

          public static boolean $lessinit$greater$default$2()

    - #### apply

          public static ReleaseAbortedEvent apply​(Release release,
                                                  boolean isPartOfBulkOperation)

    - #### apply$default$2

          public static boolean apply$default$2()

    - #### unapply

          public static scala.Option<scala.Tuple2<Release,​java.lang.Object>> unapply​(ReleaseAbortedEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### release

          public Release release()

      Description copied from interface: `ReleaseExecutionEvent`
      The release of which status has changed.
      Specified by:
        `release` in interface `ReleaseExecutionEvent`
      Returns:
        (undocumented)

    - #### isPartOfBulkOperation

          public boolean isPartOfBulkOperation()

    - #### copy

          public ReleaseAbortedEvent copy​(Release release,
                                          boolean isPartOfBulkOperation)

    - #### copy$default$1

          public Release copy$default$1()

    - #### copy$default$2

          public boolean copy$default$2()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`